Bug 1201553 - Complete system freeze when connecting an external monitor
Summary: Complete system freeze when connecting an external monitor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 22:57 UTC by Jonathan Briggs
Modified: 2015-12-02 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:02:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Jonathan Briggs 2015-03-12 22:57:41 UTC
Description of problem:
I have a new Dell Precision m3800. It has Intel video which is connected to all the display outputs and an Nvidia Quadro.

The DisplayPort is also Thunderbolt.

When I plug in an external Dell 4K monitor the system freezes completely. Caps lock does not switch states. I have no log output from the freeze after rebooting.

HOWEVER, a test with a Ubuntu 14.04 live CD WORKS. So, there is some difference between the Ubuntu versions and the Fedora versions which cause this crash.

ALSO, if I boot into text mode and plug in the monitor nothing bad happens. As soon as I start X it freezes.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.916-3.20141117.fc21.x86_64
xorg-x11-drv-nouveau-1.0.11-1.fc21.x86_64
xorg-x11-server-common-1.16.3-2.fc21.x86_64
xorg-x11-server-Xorg-1.16.3-2.fc21.x86_64
kernel-3.18.8-201.fc21.x86_64


00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)

02:00.0 3D controller: NVIDIA Corporation GK107GLM [Quadro K1100M]


How reproducible:
Every time that I plug it in.


Steps to Reproduce:
1. Boot Fedora 21 to GUI.
2. Plug in external monitor

Actual results:
Freeze


Expected results:
Should be able to use the monitor.

Additional info:

Comment 1 Jonathan Briggs 2015-03-25 22:05:07 UTC
Also fails on Fedora 22.

Also fails when connecting same Dell external 4K monitor via HDMI.

An external 1080p projector via HDMI did work. For about an hour in both X and Wayland. Then it also froze. No way to tell if it froze for the same reason however.

Comment 2 Jeremy Fitzhardinge 2015-05-15 18:55:29 UTC
I'm seeing the same thing with a Thinkpad T440s; when I attach a Dell 4k monitor via Displayport, the Thinkpad often (but not always) completely hangs.

The Thinkpad is just using Intel graphics; there's no Nvidia component to complicate things.

xorg-x11-drv-intel-2.99.917-6.20150211.fc22.x86_64
xorg-x11-server-Xorg-1.17.1-11.fc22.x86_64
xorg-x11-server-Xwayland-1.17.1-11.fc22.x86_64
kernel-4.0.2-300.fc22.x86_64

Comment 3 Jonathan Briggs 2015-10-16 22:07:07 UTC
The latest 4.2 kernels seem to have fixed this problem.

Comment 4 Fedora End Of Life 2015-11-04 10:07:15 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 10:02:39 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.